import type { PropType } from 'vue';
import type { Style as UnheadStyle } from '@unhead/vue/types';
import type { CrossOrigin, FetchPriority, HTTPEquiv, LinkRelationship, ReferrerPolicy, Target } from './types.js';
export declare const NoScript: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    title: StringConstructor;
    /**
     * @deprecated Use tagPosition
     */
    body: {
        type: BooleanConstructor;
        default: undefined;
    };
    tagPosition: {
        type: PropType<UnheadStyle["tagPosition"]>;
    };
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    tabindex: StringConstructor;
    translate: StringConstructor;
    /**
     * @deprecated Use tagPriority
     */
    renderPriority: (StringConstructor | NumberConstructor)[];
    /**
     * Unhead prop to modify the priority of the tag.
     */
    tagPriority: {
        type: PropType<UnheadStyle["tagPriority"]>;
    };
}>, () => null, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    title: StringConstructor;
    /**
     * @deprecated Use tagPosition
     */
    body: {
        type: BooleanConstructor;
        default: undefined;
    };
    tagPosition: {
        type: PropType<UnheadStyle["tagPosition"]>;
    };
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    tabindex: StringConstructor;
    translate: StringConstructor;
    /**
     * @deprecated Use tagPriority
     */
    renderPriority: (StringConstructor | NumberConstructor)[];
    /**
     * Unhead prop to modify the priority of the tag.
     */
    tagPriority: {
        type: PropType<UnheadStyle["tagPriority"]>;
    };
}>> & Readonly<{}>, {
    style: string | Record<string, any> | unknown[];
    class: string | Record<string, any> | unknown[];
    body: boolean;
    autofocus: boolean;
    contenteditable: boolean;
    draggable: boolean;
    hidden: boolean;
    spellcheck: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export declare const Link: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    as: StringConstructor;
    crossorigin: PropType<CrossOrigin>;
    disabled: BooleanConstructor;
    fetchpriority: PropType<FetchPriority>;
    href: StringConstructor;
    hreflang: StringConstructor;
    imagesizes: StringConstructor;
    imagesrcset: StringConstructor;
    integrity: StringConstructor;
    media: StringConstructor;
    prefetch: {
        type: BooleanConstructor;
        default: undefined;
    };
    referrerpolicy: PropType<ReferrerPolicy>;
    rel: PropType<LinkRelationship>;
    sizes: StringConstructor;
    title: StringConstructor;
    type: StringConstructor;
    /** @deprecated **/
    methods: StringConstructor;
    /** @deprecated **/
    target: PropType<Target>;
    /**
     * @deprecated Use tagPosition
     */
    body: {
        type: BooleanConstructor;
        default: undefined;
    };
    tagPosition: {
        type: PropType<UnheadStyle["tagPosition"]>;
    };
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    tabindex: StringConstructor;
    translate: StringConstructor;
    /**
     * @deprecated Use tagPriority
     */
    renderPriority: (StringConstructor | NumberConstructor)[];
    /**
     * Unhead prop to modify the priority of the tag.
     */
    tagPriority: {
        type: PropType<UnheadStyle["tagPriority"]>;
    };
}>, () => null, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    as: StringConstructor;
    crossorigin: PropType<CrossOrigin>;
    disabled: BooleanConstructor;
    fetchpriority: PropType<FetchPriority>;
    href: StringConstructor;
    hreflang: StringConstructor;
    imagesizes: StringConstructor;
    imagesrcset: StringConstructor;
    integrity: StringConstructor;
    media: StringConstructor;
    prefetch: {
        type: BooleanConstructor;
        default: undefined;
    };
    referrerpolicy: PropType<ReferrerPolicy>;
    rel: PropType<LinkRelationship>;
    sizes: StringConstructor;
    title: StringConstructor;
    type: StringConstructor;
    /** @deprecated **/
    methods: StringConstructor;
    /** @deprecated **/
    target: PropType<Target>;
    /**
     * @deprecated Use tagPosition
     */
    body: {
        type: BooleanConstructor;
        default: undefined;
    };
    tagPosition: {
        type: PropType<UnheadStyle["tagPosition"]>;
    };
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    tabindex: StringConstructor;
    translate: StringConstructor;
    /**
     * @deprecated Use tagPriority
     */
    renderPriority: (StringConstructor | NumberConstructor)[];
    /**
     * Unhead prop to modify the priority of the tag.
     */
    tagPriority: {
        type: PropType<UnheadStyle["tagPriority"]>;
    };
}>> & Readonly<{}>, {
    prefetch: boolean;
    style: string | Record<string, any> | unknown[];
    class: string | Record<string, any> | unknown[];
    body: boolean;
    autofocus: boolean;
    contenteditable: boolean;
    draggable: boolean;
    hidden: boolean;
    spellcheck: boolean;
    disabled: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export declare const Base: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    href: StringConstructor;
    target: PropType<Target>;
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    tabindex: StringConstructor;
    title: StringConstructor;
    translate: StringConstructor;
    /**
     * @deprecated Use tagPriority
     */
    renderPriority: (StringConstructor | NumberConstructor)[];
    /**
     * Unhead prop to modify the priority of the tag.
     */
    tagPriority: {
        type: PropType<UnheadStyle["tagPriority"]>;
    };
}>, () => null, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    href: StringConstructor;
    target: PropType<Target>;
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    tabindex: StringConstructor;
    title: StringConstructor;
    translate: StringConstructor;
    /**
     * @deprecated Use tagPriority
     */
    renderPriority: (StringConstructor | NumberConstructor)[];
    /**
     * Unhead prop to modify the priority of the tag.
     */
    tagPriority: {
        type: PropType<UnheadStyle["tagPriority"]>;
    };
}>> & Readonly<{}>, {
    style: string | Record<string, any> | unknown[];
    class: string | Record<string, any> | unknown[];
    autofocus: boolean;
    contenteditable: boolean;
    draggable: boolean;
    hidden: boolean;
    spellcheck: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export declare const Title: import("vue").DefineComponent<{}, () => null, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export declare const Meta: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    charset: StringConstructor;
    content: StringConstructor;
    httpEquiv: PropType<HTTPEquiv>;
    name: StringConstructor;
    property: StringConstructor;
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    tabindex: StringConstructor;
    title: StringConstructor;
    translate: StringConstructor;
    /**
     * @deprecated Use tagPriority
     */
    renderPriority: (StringConstructor | NumberConstructor)[];
    /**
     * Unhead prop to modify the priority of the tag.
     */
    tagPriority: {
        type: PropType<UnheadStyle["tagPriority"]>;
    };
}>, () => null, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    charset: StringConstructor;
    content: StringConstructor;
    httpEquiv: PropType<HTTPEquiv>;
    name: StringConstructor;
    property: StringConstructor;
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    tabindex: StringConstructor;
    title: StringConstructor;
    translate: StringConstructor;
    /**
     * @deprecated Use tagPriority
     */
    renderPriority: (StringConstructor | NumberConstructor)[];
    /**
     * Unhead prop to modify the priority of the tag.
     */
    tagPriority: {
        type: PropType<UnheadStyle["tagPriority"]>;
    };
}>> & Readonly<{}>, {
    style: string | Record<string, any> | unknown[];
    class: string | Record<string, any> | unknown[];
    autofocus: boolean;
    contenteditable: boolean;
    draggable: boolean;
    hidden: boolean;
    spellcheck: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export declare const Style: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    type: StringConstructor;
    media: StringConstructor;
    nonce: StringConstructor;
    title: StringConstructor;
    /** @deprecated **/
    scoped: {
        type: BooleanConstructor;
        default: undefined;
    };
    /**
     * @deprecated Use tagPosition
     */
    body: {
        type: BooleanConstructor;
        default: undefined;
    };
    tagPosition: {
        type: PropType<UnheadStyle["tagPosition"]>;
    };
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    tabindex: StringConstructor;
    translate: StringConstructor;
    /**
     * @deprecated Use tagPriority
     */
    renderPriority: (StringConstructor | NumberConstructor)[];
    /**
     * Unhead prop to modify the priority of the tag.
     */
    tagPriority: {
        type: PropType<UnheadStyle["tagPriority"]>;
    };
}>, () => null, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    type: StringConstructor;
    media: StringConstructor;
    nonce: StringConstructor;
    title: StringConstructor;
    /** @deprecated **/
    scoped: {
        type: BooleanConstructor;
        default: undefined;
    };
    /**
     * @deprecated Use tagPosition
     */
    body: {
        type: BooleanConstructor;
        default: undefined;
    };
    tagPosition: {
        type: PropType<UnheadStyle["tagPosition"]>;
    };
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    tabindex: StringConstructor;
    translate: StringConstructor;
    /**
     * @deprecated Use tagPriority
     */
    renderPriority: (StringConstructor | NumberConstructor)[];
    /**
     * Unhead prop to modify the priority of the tag.
     */
    tagPriority: {
        type: PropType<UnheadStyle["tagPriority"]>;
    };
}>> & Readonly<{}>, {
    style: string | Record<string, any> | unknown[];
    class: string | Record<string, any> | unknown[];
    body: boolean;
    autofocus: boolean;
    contenteditable: boolean;
    draggable: boolean;
    hidden: boolean;
    spellcheck: boolean;
    scoped: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export declare const Head: import("vue").DefineComponent<{}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | undefined, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export declare const Html: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    manifest: StringConstructor;
    version: StringConstructor;
    xmlns: StringConstructor;
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    tabindex: StringConstructor;
    title: StringConstructor;
    translate: StringConstructor;
    /**
     * @deprecated Use tagPriority
     */
    renderPriority: (StringConstructor | NumberConstructor)[];
    /**
     * Unhead prop to modify the priority of the tag.
     */
    tagPriority: {
        type: PropType<UnheadStyle["tagPriority"]>;
    };
}>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | undefined, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    manifest: StringConstructor;
    version: StringConstructor;
    xmlns: StringConstructor;
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    tabindex: StringConstructor;
    title: StringConstructor;
    translate: StringConstructor;
    /**
     * @deprecated Use tagPriority
     */
    renderPriority: (StringConstructor | NumberConstructor)[];
    /**
     * Unhead prop to modify the priority of the tag.
     */
    tagPriority: {
        type: PropType<UnheadStyle["tagPriority"]>;
    };
}>> & Readonly<{}>, {
    style: string | Record<string, any> | unknown[];
    class: string | Record<string, any> | unknown[];
    autofocus: boolean;
    contenteditable: boolean;
    draggable: boolean;
    hidden: boolean;
    spellcheck: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export declare const Body: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    tabindex: StringConstructor;
    title: StringConstructor;
    translate: StringConstructor;
    /**
     * @deprecated Use tagPriority
     */
    renderPriority: (StringConstructor | NumberConstructor)[];
    /**
     * Unhead prop to modify the priority of the tag.
     */
    tagPriority: {
        type: PropType<UnheadStyle["tagPriority"]>;
    };
}>, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[] | undefined, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    accesskey: StringConstructor;
    autocapitalize: StringConstructor;
    autofocus: {
        type: BooleanConstructor;
        default: undefined;
    };
    class: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    contenteditable: {
        type: BooleanConstructor;
        default: undefined;
    };
    contextmenu: StringConstructor;
    dir: StringConstructor;
    draggable: {
        type: BooleanConstructor;
        default: undefined;
    };
    enterkeyhint: StringConstructor;
    exportparts: StringConstructor;
    hidden: {
        type: BooleanConstructor;
        default: undefined;
    };
    id: StringConstructor;
    inputmode: StringConstructor;
    is: StringConstructor;
    itemid: StringConstructor;
    itemprop: StringConstructor;
    itemref: StringConstructor;
    itemscope: StringConstructor;
    itemtype: StringConstructor;
    lang: StringConstructor;
    nonce: StringConstructor;
    part: StringConstructor;
    slot: StringConstructor;
    spellcheck: {
        type: BooleanConstructor;
        default: undefined;
    };
    style: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: undefined;
    };
    tabindex: StringConstructor;
    title: StringConstructor;
    translate: StringConstructor;
    /**
     * @deprecated Use tagPriority
     */
    renderPriority: (StringConstructor | NumberConstructor)[];
    /**
     * Unhead prop to modify the priority of the tag.
     */
    tagPriority: {
        type: PropType<UnheadStyle["tagPriority"]>;
    };
}>> & Readonly<{}>, {
    style: string | Record<string, any> | unknown[];
    class: string | Record<string, any> | unknown[];
    autofocus: boolean;
    contenteditable: boolean;
    draggable: boolean;
    hidden: boolean;
    spellcheck: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
